#![feature(proc_macro_hygiene, decl_macro)]

#[macro_use]
extern crate rocket;

use rocket_contrib::templates::Template;
use rocket_contrib::serve::StaticFiles;

use pytron_web::Data;

#[get("/")]
fn hello() -> Template {
    Template::render("index", &Data::test())
}

fn main() {
    rocket::ignite()
        .mount("/", routes![hello])
        .mount("/static", StaticFiles::from("static"))
        .attach(Template::fairing())
        .launch();
}
